WhatsApp
Retrieve a WhatsApp conversation
One conversation with its messages, oldest first, and what it cost. Requires whatsapp:read.
GET
/
v1
/
whatsapp
/
conversations
/
{id}
Retrieve a WhatsApp conversation
curl --request GET \
--url https://api.voice.wixzel.com/v1/whatsapp/conversations/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.voice.wixzel.com/v1/whatsapp/conversations/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.voice.wixzel.com/v1/whatsapp/conversations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voice.wixzel.com/v1/whatsapp/conversations/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.voice.wixzel.com/v1/whatsapp/conversations/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.voice.wixzel.com/v1/whatsapp/conversations/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.voice.wixzel.com/v1/whatsapp/conversations/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "6a96a3ead6e886d42462dd3e",
"object": "whatsapp_conversation",
"account_id": "6a96a3ead6e886d42462dd3e",
"agent_id": "6a96a3ead6e886d42462dd3e",
"contact": {
"wa_id": "<string>",
"name": "<string>",
"lead_id": "6a96a3ead6e886d42462dd3e",
"opted_out": true
},
"status": "open",
"started_at": "2026-09-01T12:00:00.000Z",
"last_message_at": "2026-09-01T12:00:00.000Z",
"closed_reason": "<string>",
"message_count": 123,
"charged_micros": 194000,
"meta_cost_micros": 194000,
"messages": [
{
"id": "6a96a3ead6e886d42462dd3e",
"object": "whatsapp_message",
"account_id": "6a96a3ead6e886d42462dd3e",
"conversation_id": "6a96a3ead6e886d42462dd3e",
"wamid": "<string>",
"direction": "in",
"type": "text",
"text": "<string>",
"transcript": "<string>",
"origin": "contact",
"status": "received",
"error": {
"code": 123,
"message": "<string>"
},
"template": {
"name": "<string>",
"language": "<string>",
"category": "<string>"
},
"pricing": {
"category": "<string>",
"billable": true,
"type": "<string>"
},
"meta_cost_micros": 194000,
"charged_micros": 194000,
"created_at": "2026-09-01T12:00:00.000Z"
}
]
}{
"error": {
"type": "invalid_request_error",
"code": "agent_not_found",
"message": "<string>",
"request_id": "req_01HXYZ...",
"param": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "agent_not_found",
"message": "<string>",
"request_id": "req_01HXYZ...",
"param": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "agent_not_found",
"message": "<string>",
"request_id": "req_01HXYZ...",
"param": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "agent_not_found",
"message": "<string>",
"request_id": "req_01HXYZ...",
"param": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "agent_not_found",
"message": "<string>",
"request_id": "req_01HXYZ...",
"param": "<string>",
"doc_url": "<string>"
}
}Authorizations
Your Wixzel Voice API key: Authorization: Bearer wv_live_.... Keys are scoped; grant only what the integration needs.
Path Parameters
Pattern:
^[0-9a-f]{24}$Example:
"6a96a3ead6e886d42462dd3e"
Response
The conversation
Pattern:
^[0-9a-f]{24}$Example:
"6a96a3ead6e886d42462dd3e"
Available options:
whatsapp_conversation Pattern:
^[0-9a-f]{24}$Example:
"6a96a3ead6e886d42462dd3e"
Pattern:
^[0-9a-f]{24}$Example:
"6a96a3ead6e886d42462dd3e"
Show child attributes
Show child attributes
Available options:
open, closed ISO 8601, always UTC.
Example:
"2026-09-01T12:00:00.000Z"
ISO 8601, always UTC.
Example:
"2026-09-01T12:00:00.000Z"
Micro-USD. 1_000_000 = $1.00.
Example:
194000
Micro-USD. 1_000_000 = $1.00.
Example:
194000
Returned when you get one conversation: up to its last 200 messages, oldest first.
Show child attributes
Show child attributes
⌘I
Retrieve a WhatsApp conversation
curl --request GET \
--url https://api.voice.wixzel.com/v1/whatsapp/conversations/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.voice.wixzel.com/v1/whatsapp/conversations/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.voice.wixzel.com/v1/whatsapp/conversations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voice.wixzel.com/v1/whatsapp/conversations/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.voice.wixzel.com/v1/whatsapp/conversations/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.voice.wixzel.com/v1/whatsapp/conversations/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.voice.wixzel.com/v1/whatsapp/conversations/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "6a96a3ead6e886d42462dd3e",
"object": "whatsapp_conversation",
"account_id": "6a96a3ead6e886d42462dd3e",
"agent_id": "6a96a3ead6e886d42462dd3e",
"contact": {
"wa_id": "<string>",
"name": "<string>",
"lead_id": "6a96a3ead6e886d42462dd3e",
"opted_out": true
},
"status": "open",
"started_at": "2026-09-01T12:00:00.000Z",
"last_message_at": "2026-09-01T12:00:00.000Z",
"closed_reason": "<string>",
"message_count": 123,
"charged_micros": 194000,
"meta_cost_micros": 194000,
"messages": [
{
"id": "6a96a3ead6e886d42462dd3e",
"object": "whatsapp_message",
"account_id": "6a96a3ead6e886d42462dd3e",
"conversation_id": "6a96a3ead6e886d42462dd3e",
"wamid": "<string>",
"direction": "in",
"type": "text",
"text": "<string>",
"transcript": "<string>",
"origin": "contact",
"status": "received",
"error": {
"code": 123,
"message": "<string>"
},
"template": {
"name": "<string>",
"language": "<string>",
"category": "<string>"
},
"pricing": {
"category": "<string>",
"billable": true,
"type": "<string>"
},
"meta_cost_micros": 194000,
"charged_micros": 194000,
"created_at": "2026-09-01T12:00:00.000Z"
}
]
}{
"error": {
"type": "invalid_request_error",
"code": "agent_not_found",
"message": "<string>",
"request_id": "req_01HXYZ...",
"param": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "agent_not_found",
"message": "<string>",
"request_id": "req_01HXYZ...",
"param": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "agent_not_found",
"message": "<string>",
"request_id": "req_01HXYZ...",
"param": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "agent_not_found",
"message": "<string>",
"request_id": "req_01HXYZ...",
"param": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "agent_not_found",
"message": "<string>",
"request_id": "req_01HXYZ...",
"param": "<string>",
"doc_url": "<string>"
}
}
